@openwop/openwop-conformance 2.46.6 → 2.46.8
This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
- package/CHANGELOG.md +17 -0
- package/README.md +2 -2
- package/dist/spec-artifacts.lock.json +2 -2
- package/fixtures/eval-suites/conformance-eval-fixture-miss.json +82 -0
- package/fixtures/eval-suites/conformance-eval-trajectory.json +202 -0
- package/fixtures/eval-suites/conformance-eval-trials.json +57 -0
- package/fixtures.md +19 -0
- package/package.json +2 -2
- package/requirements.json +240 -36
- package/scenario-majors.json +5 -2
- package/schemas/CORPUS-STAMP.json +15 -15
- package/src/lib/eval-trajectory.ts +146 -0
- package/src/scenarios/v2-eval-trajectory-trials.test.ts +253 -0
package/requirements.json
CHANGED
|
@@ -2,11 +2,11 @@
|
|
|
2
2
|
"$comment": "GENERATED by conformance/scripts/generate-requirement-registry.mjs — do not edit. One record per it()/test() in src/scenarios. Ids: openwop.it.<file-stem>.<title-slug>[~n] (src/lib/requirement-ids.ts). A record with id null has an interpolated title; its run-time row is keyed by the rendered title and maps here by file+line only. Renamed ids need a row in requirement-aliases.json.",
|
|
3
3
|
"generatedFrom": "src/scenarios/*.test.ts",
|
|
4
4
|
"counts": {
|
|
5
|
-
"files":
|
|
6
|
-
"tests":
|
|
7
|
-
"withStableId":
|
|
5
|
+
"files": 746,
|
|
6
|
+
"tests": 2808,
|
|
7
|
+
"withStableId": 2808,
|
|
8
8
|
"interpolatedTitles": 0,
|
|
9
|
-
"explicitIds":
|
|
9
|
+
"explicitIds": 2681
|
|
10
10
|
},
|
|
11
11
|
"records": [
|
|
12
12
|
{
|
|
@@ -28111,7 +28111,7 @@
|
|
|
28111
28111
|
"file": "v2-agents-fan-out-waves.test.ts",
|
|
28112
28112
|
"line": 64,
|
|
28113
28113
|
"title": "children beyond the effective ceiling are dispatched in waves, and none is dropped",
|
|
28114
|
-
"explicitId":
|
|
28114
|
+
"explicitId": "openwop.requirement.0243.max-fan-out-waves",
|
|
28115
28115
|
"citations": []
|
|
28116
28116
|
},
|
|
28117
28117
|
{
|
|
@@ -28119,7 +28119,7 @@
|
|
|
28119
28119
|
"file": "v2-agents-fan-out-waves.test.ts",
|
|
28120
28120
|
"line": 72,
|
|
28121
28121
|
"title": "nextWorkerInputs reaches each child at perItemInput: true, and fails closed without it",
|
|
28122
|
-
"explicitId":
|
|
28122
|
+
"explicitId": "openwop.requirement.0243.per-item-input-gated",
|
|
28123
28123
|
"citations": []
|
|
28124
28124
|
},
|
|
28125
28125
|
{
|
|
@@ -28127,7 +28127,7 @@
|
|
|
28127
28127
|
"file": "v2-agents-fan-out-waves.test.ts",
|
|
28128
28128
|
"line": 80,
|
|
28129
28129
|
"title": "a nextWorkerInputs length that differs from nextWorkerIds fails the dispatch node and dispatches no child",
|
|
28130
|
-
"explicitId":
|
|
28130
|
+
"explicitId": "openwop.requirement.agents.dispatch-per-item-length-mismatch",
|
|
28131
28131
|
"citations": []
|
|
28132
28132
|
},
|
|
28133
28133
|
{
|
|
@@ -30205,7 +30205,7 @@
|
|
|
30205
30205
|
"file": "v2-dispatch-input-mapping.test.ts",
|
|
30206
30206
|
"line": 59,
|
|
30207
30207
|
"title": "inputMapping projects the parent variable into the dispatched child inputs",
|
|
30208
|
-
"explicitId":
|
|
30208
|
+
"explicitId": "openwop.requirement.agents.dispatch-input-mapping-projection",
|
|
30209
30209
|
"citations": []
|
|
30210
30210
|
},
|
|
30211
30211
|
{
|
|
@@ -30213,7 +30213,7 @@
|
|
|
30213
30213
|
"file": "v2-dispatch-input-mapping.test.ts",
|
|
30214
30214
|
"line": 65,
|
|
30215
30215
|
"title": "an unset parent variable projects to undefined: the child input is absent, never null",
|
|
30216
|
-
"explicitId":
|
|
30216
|
+
"explicitId": "openwop.requirement.agents.dispatch-input-mapping-unset-undefined",
|
|
30217
30217
|
"citations": []
|
|
30218
30218
|
},
|
|
30219
30219
|
{
|
|
@@ -30221,7 +30221,7 @@
|
|
|
30221
30221
|
"file": "v2-dispatch-loop.test.ts",
|
|
30222
30222
|
"line": 63,
|
|
30223
30223
|
"title": "each turn records its decision and terminate completes the run",
|
|
30224
|
-
"explicitId":
|
|
30224
|
+
"explicitId": "openwop.requirement.multi-agent.supervisor-loop-terminates",
|
|
30225
30225
|
"citations": []
|
|
30226
30226
|
},
|
|
30227
30227
|
{
|
|
@@ -30229,7 +30229,7 @@
|
|
|
30229
30229
|
"file": "v2-dispatch-loop.test.ts",
|
|
30230
30230
|
"line": 69,
|
|
30231
30231
|
"title": "every recorded decision is well-formed and the deciding agent never changes",
|
|
30232
|
-
"explicitId":
|
|
30232
|
+
"explicitId": "openwop.requirement.multi-agent.decision-recorded-well-formed",
|
|
30233
30233
|
"citations": []
|
|
30234
30234
|
},
|
|
30235
30235
|
{
|
|
@@ -30237,7 +30237,7 @@
|
|
|
30237
30237
|
"file": "v2-dispatch-loop.test.ts",
|
|
30238
30238
|
"line": 75,
|
|
30239
30239
|
"title": "at executionModel.version >= 5, iteration is 1-based and increments by exactly 1 per turn",
|
|
30240
|
-
"explicitId":
|
|
30240
|
+
"explicitId": "openwop.requirement.multi-agent.decision-iteration-monotonic",
|
|
30241
30241
|
"citations": []
|
|
30242
30242
|
},
|
|
30243
30243
|
{
|
|
@@ -31025,6 +31025,210 @@
|
|
|
31025
31025
|
}
|
|
31026
31026
|
]
|
|
31027
31027
|
},
|
|
31028
|
+
{
|
|
31029
|
+
"id": "openwop.it.v2-eval-trajectory-trials.the-rfc-0244-suite-summary-and-event-fields-validate-and-the-negatives-are-refus",
|
|
31030
|
+
"file": "v2-eval-trajectory-trials.test.ts",
|
|
31031
|
+
"line": 113,
|
|
31032
|
+
"title": "the RFC 0244 suite, summary and event fields validate and the negatives are refused",
|
|
31033
|
+
"explicitId": "openwop.requirement.0244.wire-shape",
|
|
31034
|
+
"citations": [
|
|
31035
|
+
{
|
|
31036
|
+
"section": "agents.schema.json §evalSuite (RFC 0244)",
|
|
31037
|
+
"requirement": "trajectory.match \"superset\" MUST be refused (use any-order)"
|
|
31038
|
+
},
|
|
31039
|
+
{
|
|
31040
|
+
"section": "agents.schema.json §evalSuite (RFC 0244)",
|
|
31041
|
+
"requirement": "trials.count 0 MUST be refused"
|
|
31042
|
+
},
|
|
31043
|
+
{
|
|
31044
|
+
"section": "agents.schema.json §evalSuite (RFC 0244)",
|
|
31045
|
+
"requirement": "an unknown trajectory member MUST be refused"
|
|
31046
|
+
},
|
|
31047
|
+
{
|
|
31048
|
+
"section": "agents.schema.json §evalSuite (RFC 0244)",
|
|
31049
|
+
"requirement": null,
|
|
31050
|
+
"interpolated": true
|
|
31051
|
+
},
|
|
31052
|
+
{
|
|
31053
|
+
"section": "agents.schema.json §evalSuite (RFC 0244)",
|
|
31054
|
+
"requirement": "eval.started.trialCount MUST validate"
|
|
31055
|
+
},
|
|
31056
|
+
{
|
|
31057
|
+
"section": "agents.schema.json §evalSuite (RFC 0244)",
|
|
31058
|
+
"requirement": "an unknown evaluatorType MUST be refused"
|
|
31059
|
+
},
|
|
31060
|
+
{
|
|
31061
|
+
"section": "agents.schema.json §evalSuite (RFC 0244)",
|
|
31062
|
+
"requirement": null,
|
|
31063
|
+
"interpolated": true
|
|
31064
|
+
}
|
|
31065
|
+
]
|
|
31066
|
+
},
|
|
31067
|
+
{
|
|
31068
|
+
"id": "openwop.it.v2-eval-trajectory-trials.the-rfc-0244-additions-are-content-free-eval-summary-no-content-leak",
|
|
31069
|
+
"file": "v2-eval-trajectory-trials.test.ts",
|
|
31070
|
+
"line": 136,
|
|
31071
|
+
"title": "the RFC 0244 additions are content-free (eval-summary-no-content-leak)",
|
|
31072
|
+
"explicitId": "openwop.requirement.0244.content-free",
|
|
31073
|
+
"citations": [
|
|
31074
|
+
{
|
|
31075
|
+
"section": "agents.schema.json §evalSuite (RFC 0244)",
|
|
31076
|
+
"requirement": "a trajectory block naming tools MUST be refused"
|
|
31077
|
+
},
|
|
31078
|
+
{
|
|
31079
|
+
"section": "agents.schema.json §evalSuite (RFC 0244)",
|
|
31080
|
+
"requirement": "a prose scoreLabel MUST be refused"
|
|
31081
|
+
}
|
|
31082
|
+
]
|
|
31083
|
+
},
|
|
31084
|
+
{
|
|
31085
|
+
"id": "openwop.it.v2-eval-trajectory-trials.the-eval-suite-fixtures-validate-against-the-v2-suite-schema",
|
|
31086
|
+
"file": "v2-eval-trajectory-trials.test.ts",
|
|
31087
|
+
"line": 143,
|
|
31088
|
+
"title": "the eval-suite fixtures validate against the v2 suite schema",
|
|
31089
|
+
"explicitId": "openwop.requirement.0244.fixtures-valid",
|
|
31090
|
+
"citations": [
|
|
31091
|
+
{
|
|
31092
|
+
"section": "fixtures.md §eval-suites",
|
|
31093
|
+
"requirement": null,
|
|
31094
|
+
"interpolated": true
|
|
31095
|
+
}
|
|
31096
|
+
]
|
|
31097
|
+
},
|
|
31098
|
+
{
|
|
31099
|
+
"id": "openwop.it.v2-eval-trajectory-trials.a-trajectory-suite-is-graded-per-the-reference-grader",
|
|
31100
|
+
"file": "v2-eval-trajectory-trials.test.ts",
|
|
31101
|
+
"line": 152,
|
|
31102
|
+
"title": "a trajectory suite is graded per the reference grader",
|
|
31103
|
+
"explicitId": "openwop.requirement.0244.trajectory-graded",
|
|
31104
|
+
"citations": [
|
|
31105
|
+
{
|
|
31106
|
+
"section": "agents.schema.json §evalSuite (RFC 0244)",
|
|
31107
|
+
"requirement": null,
|
|
31108
|
+
"interpolated": true
|
|
31109
|
+
},
|
|
31110
|
+
{
|
|
31111
|
+
"section": "agents.schema.json §evalSuite (RFC 0244)",
|
|
31112
|
+
"requirement": null,
|
|
31113
|
+
"interpolated": true
|
|
31114
|
+
},
|
|
31115
|
+
{
|
|
31116
|
+
"section": "agents.schema.json §evalSuite (RFC 0244)",
|
|
31117
|
+
"requirement": null,
|
|
31118
|
+
"interpolated": true
|
|
31119
|
+
},
|
|
31120
|
+
{
|
|
31121
|
+
"section": "agents.schema.json §evalSuite (RFC 0244)",
|
|
31122
|
+
"requirement": null,
|
|
31123
|
+
"interpolated": true
|
|
31124
|
+
},
|
|
31125
|
+
{
|
|
31126
|
+
"section": "agents.schema.json §evalSuite (RFC 0244)",
|
|
31127
|
+
"requirement": null,
|
|
31128
|
+
"interpolated": true
|
|
31129
|
+
}
|
|
31130
|
+
]
|
|
31131
|
+
},
|
|
31132
|
+
{
|
|
31133
|
+
"id": "openwop.it.v2-eval-trajectory-trials.repeated-trials-emit-one-eval-scored-per-task-per-trial",
|
|
31134
|
+
"file": "v2-eval-trajectory-trials.test.ts",
|
|
31135
|
+
"line": 188,
|
|
31136
|
+
"title": "repeated trials emit one eval.scored per task per trial",
|
|
31137
|
+
"explicitId": "openwop.requirement.0244.trials-per-task",
|
|
31138
|
+
"citations": [
|
|
31139
|
+
{
|
|
31140
|
+
"section": "agents.schema.json §evalSuite (RFC 0244)",
|
|
31141
|
+
"requirement": "eval.started MUST carry trialCount"
|
|
31142
|
+
},
|
|
31143
|
+
{
|
|
31144
|
+
"section": "agents.schema.json §evalSuite (RFC 0244)",
|
|
31145
|
+
"requirement": null,
|
|
31146
|
+
"interpolated": true
|
|
31147
|
+
}
|
|
31148
|
+
]
|
|
31149
|
+
},
|
|
31150
|
+
{
|
|
31151
|
+
"id": "openwop.it.v2-eval-trajectory-trials.the-per-task-trials-block-and-trialstats-follow-the-b-formulas",
|
|
31152
|
+
"file": "v2-eval-trajectory-trials.test.ts",
|
|
31153
|
+
"line": 199,
|
|
31154
|
+
"title": "the per-task trials block and trialStats follow the §B formulas",
|
|
31155
|
+
"explicitId": "openwop.requirement.0244.trial-stats-formula",
|
|
31156
|
+
"citations": [
|
|
31157
|
+
{
|
|
31158
|
+
"section": "agents.schema.json §evalSuite (RFC 0244)",
|
|
31159
|
+
"requirement": null,
|
|
31160
|
+
"interpolated": true
|
|
31161
|
+
},
|
|
31162
|
+
{
|
|
31163
|
+
"section": "agents.schema.json §evalSuite (RFC 0244)",
|
|
31164
|
+
"requirement": null,
|
|
31165
|
+
"interpolated": true
|
|
31166
|
+
},
|
|
31167
|
+
{
|
|
31168
|
+
"section": "agents.schema.json §evalSuite (RFC 0244)",
|
|
31169
|
+
"requirement": null,
|
|
31170
|
+
"interpolated": true
|
|
31171
|
+
},
|
|
31172
|
+
{
|
|
31173
|
+
"section": "agents.schema.json §evalSuite (RFC 0244)",
|
|
31174
|
+
"requirement": null,
|
|
31175
|
+
"interpolated": true
|
|
31176
|
+
},
|
|
31177
|
+
{
|
|
31178
|
+
"section": "agents.schema.json §evalSuite (RFC 0244)",
|
|
31179
|
+
"requirement": null,
|
|
31180
|
+
"interpolated": true
|
|
31181
|
+
},
|
|
31182
|
+
{
|
|
31183
|
+
"section": "agents.schema.json §evalSuite (RFC 0244)",
|
|
31184
|
+
"requirement": null,
|
|
31185
|
+
"interpolated": true
|
|
31186
|
+
}
|
|
31187
|
+
]
|
|
31188
|
+
},
|
|
31189
|
+
{
|
|
31190
|
+
"id": "openwop.it.v2-eval-trajectory-trials.a-fixture-miss-under-onmiss-fail-fails-the-trial-and-is-counted",
|
|
31191
|
+
"file": "v2-eval-trajectory-trials.test.ts",
|
|
31192
|
+
"line": 222,
|
|
31193
|
+
"title": "a fixture miss under onMiss \"fail\" fails the trial and is counted",
|
|
31194
|
+
"explicitId": "openwop.requirement.0244.fixture-miss-fails",
|
|
31195
|
+
"citations": [
|
|
31196
|
+
{
|
|
31197
|
+
"section": "agents.schema.json §evalSuite (RFC 0244)",
|
|
31198
|
+
"requirement": "the missed task MUST report fixtureMissCount 1"
|
|
31199
|
+
},
|
|
31200
|
+
{
|
|
31201
|
+
"section": "agents.schema.json §evalSuite (RFC 0244)",
|
|
31202
|
+
"requirement": "a miss under onMiss \"fail\" MUST fail the trial"
|
|
31203
|
+
},
|
|
31204
|
+
{
|
|
31205
|
+
"section": "agents.schema.json §evalSuite (RFC 0244)",
|
|
31206
|
+
"requirement": "a served task MUST still pass"
|
|
31207
|
+
},
|
|
31208
|
+
{
|
|
31209
|
+
"section": "agents.schema.json §evalSuite (RFC 0244)",
|
|
31210
|
+
"requirement": "a served task MUST NOT report a miss"
|
|
31211
|
+
}
|
|
31212
|
+
]
|
|
31213
|
+
},
|
|
31214
|
+
{
|
|
31215
|
+
"id": "openwop.it.v2-eval-trajectory-trials.a-suite-using-an-unadvertised-rfc-0244-feature-is-refused-at-createrun",
|
|
31216
|
+
"file": "v2-eval-trajectory-trials.test.ts",
|
|
31217
|
+
"line": 238,
|
|
31218
|
+
"title": "a suite using an unadvertised RFC 0244 feature is refused at createRun",
|
|
31219
|
+
"explicitId": "openwop.requirement.0244.unadvertised-feature-refused",
|
|
31220
|
+
"citations": [
|
|
31221
|
+
{
|
|
31222
|
+
"section": "agents.schema.json §evalSuite (RFC 0244)",
|
|
31223
|
+
"requirement": null,
|
|
31224
|
+
"interpolated": true
|
|
31225
|
+
},
|
|
31226
|
+
{
|
|
31227
|
+
"section": "agents.schema.json §evalSuite (RFC 0244)",
|
|
31228
|
+
"requirement": "the refusal MUST carry validation_error"
|
|
31229
|
+
}
|
|
31230
|
+
]
|
|
31231
|
+
},
|
|
31028
31232
|
{
|
|
31029
31233
|
"id": "openwop.it.v2-event-type-closed.every-emitted-type-is-a-registered-protocol-type-or-a-vendor-type-under-an-adver",
|
|
31030
31234
|
"file": "v2-event-type-closed.test.ts",
|
|
@@ -31457,7 +31661,7 @@
|
|
|
31457
31661
|
"file": "v2-host-event-delivery.test.ts",
|
|
31458
31662
|
"line": 174,
|
|
31459
31663
|
"title": "an ephemeral host event has no id: and is not redelivered after Last-Event-ID",
|
|
31460
|
-
"explicitId":
|
|
31664
|
+
"explicitId": "openwop.requirement.0236.ephemeral.no-resume",
|
|
31461
31665
|
"citations": []
|
|
31462
31666
|
},
|
|
31463
31667
|
{
|
|
@@ -31497,7 +31701,7 @@
|
|
|
31497
31701
|
"file": "v2-host-event-delivery.test.ts",
|
|
31498
31702
|
"line": 243,
|
|
31499
31703
|
"title": "the same subscription never receives the ephemeral host event",
|
|
31500
|
-
"explicitId":
|
|
31704
|
+
"explicitId": "openwop.requirement.0236.ephemeral.no-fan-out",
|
|
31501
31705
|
"citations": []
|
|
31502
31706
|
},
|
|
31503
31707
|
{
|
|
@@ -31505,7 +31709,7 @@
|
|
|
31505
31709
|
"file": "v2-host-event-delivery.test.ts",
|
|
31506
31710
|
"line": 256,
|
|
31507
31711
|
"title": "emitTestHostEvent is served exactly for the listed host-test classes",
|
|
31508
|
-
"explicitId":
|
|
31712
|
+
"explicitId": "openwop.requirement.0241.trigger.bound-by-listing",
|
|
31509
31713
|
"citations": []
|
|
31510
31714
|
},
|
|
31511
31715
|
{
|
|
@@ -31513,7 +31717,7 @@
|
|
|
31513
31717
|
"file": "v2-host-event-delivery.test.ts",
|
|
31514
31718
|
"line": 270,
|
|
31515
31719
|
"title": "a second tenant receives nothing for the first tenant’s host event",
|
|
31516
|
-
"explicitId":
|
|
31720
|
+
"explicitId": "openwop.requirement.0236.host-event.tenant-isolation",
|
|
31517
31721
|
"citations": []
|
|
31518
31722
|
},
|
|
31519
31723
|
{
|
|
@@ -36585,7 +36789,7 @@
|
|
|
36585
36789
|
"file": "v2-safefetch-ssrf-refused.test.ts",
|
|
36586
36790
|
"line": 166,
|
|
36587
36791
|
"title": "an RFC 1918 target is refused egress_denied, ssrf-blocked",
|
|
36588
|
-
"explicitId":
|
|
36792
|
+
"explicitId": "openwop.requirement.httpClient.ssrf-rfc1918-refused",
|
|
36589
36793
|
"citations": []
|
|
36590
36794
|
},
|
|
36591
36795
|
{
|
|
@@ -36593,7 +36797,7 @@
|
|
|
36593
36797
|
"file": "v2-safefetch-ssrf-refused.test.ts",
|
|
36594
36798
|
"line": 172,
|
|
36595
36799
|
"title": "a link-local or cloud-metadata target is refused egress_denied, ssrf-blocked",
|
|
36596
|
-
"explicitId":
|
|
36800
|
+
"explicitId": "openwop.requirement.httpClient.ssrf-link-local-metadata-refused",
|
|
36597
36801
|
"citations": []
|
|
36598
36802
|
},
|
|
36599
36803
|
{
|
|
@@ -37375,7 +37579,7 @@
|
|
|
37375
37579
|
"file": "v2-subworkflow-input-mapping.test.ts",
|
|
37376
37580
|
"line": 57,
|
|
37377
37581
|
"title": "inputMapping seeds the child variable bag at creation",
|
|
37378
|
-
"explicitId":
|
|
37582
|
+
"explicitId": "openwop.requirement.sub-workflow.input-mapping-seeds-child",
|
|
37379
37583
|
"citations": []
|
|
37380
37584
|
},
|
|
37381
37585
|
{
|
|
@@ -37383,7 +37587,7 @@
|
|
|
37383
37587
|
"file": "v2-subworkflow-input-mapping.test.ts",
|
|
37384
37588
|
"line": 63,
|
|
37385
37589
|
"title": "the mapped parent value lands after and over the child defaultValue",
|
|
37386
|
-
"explicitId":
|
|
37590
|
+
"explicitId": "openwop.requirement.sub-workflow.input-mapping-overrides-default",
|
|
37387
37591
|
"citations": []
|
|
37388
37592
|
},
|
|
37389
37593
|
{
|
|
@@ -37391,7 +37595,7 @@
|
|
|
37391
37595
|
"file": "v2-subworkflow-input-mapping.test.ts",
|
|
37392
37596
|
"line": 69,
|
|
37393
37597
|
"title": "an unset parent variable arrives undefined, never an error or null",
|
|
37394
|
-
"explicitId":
|
|
37598
|
+
"explicitId": "openwop.requirement.sub-workflow.input-mapping-unset-undefined",
|
|
37395
37599
|
"citations": []
|
|
37396
37600
|
},
|
|
37397
37601
|
{
|
|
@@ -37399,7 +37603,7 @@
|
|
|
37399
37603
|
"file": "v2-subworkflow-linkage.test.ts",
|
|
37400
37604
|
"line": 59,
|
|
37401
37605
|
"title": "node.completed for the core.subWorkflow node carries outputs.childRunId and outputs.childStatus",
|
|
37402
|
-
"explicitId":
|
|
37606
|
+
"explicitId": "openwop.requirement.sub-workflow.node-completed-child-outputs",
|
|
37403
37607
|
"citations": []
|
|
37404
37608
|
},
|
|
37405
37609
|
{
|
|
@@ -37407,7 +37611,7 @@
|
|
|
37407
37611
|
"file": "v2-subworkflow-linkage.test.ts",
|
|
37408
37612
|
"line": 65,
|
|
37409
37613
|
"title": "outputMapping copies the child variable into the parent after the child completes",
|
|
37410
|
-
"explicitId":
|
|
37614
|
+
"explicitId": "openwop.requirement.sub-workflow.output-mapping-copied",
|
|
37411
37615
|
"citations": []
|
|
37412
37616
|
},
|
|
37413
37617
|
{
|
|
@@ -37415,7 +37619,7 @@
|
|
|
37415
37619
|
"file": "v2-subworkflow-linkage.test.ts",
|
|
37416
37620
|
"line": 71,
|
|
37417
37621
|
"title": "getRunAncestry names the parent run with cause core.subWorkflow",
|
|
37418
|
-
"explicitId":
|
|
37622
|
+
"explicitId": "openwop.requirement.sub-workflow.ancestry-parent-link",
|
|
37419
37623
|
"citations": []
|
|
37420
37624
|
},
|
|
37421
37625
|
{
|
|
@@ -45856,7 +46060,7 @@
|
|
|
45856
46060
|
{
|
|
45857
46061
|
"id": "openwop.it.spec-corpus-validity.every-fixture-id-mentioned-in-fixtures-md-has-a-corresponding-json",
|
|
45858
46062
|
"file": "spec-corpus-validity.test.ts",
|
|
45859
|
-
"line":
|
|
46063
|
+
"line": 1453,
|
|
45860
46064
|
"title": "every fixture id mentioned in fixtures.md has a corresponding JSON",
|
|
45861
46065
|
"explicitId": "openwop.it.spec-corpus-validity.every-fixture-id-mentioned-in-fixtures-md-has-a-corresponding-json",
|
|
45862
46066
|
"citations": [
|
|
@@ -45870,7 +46074,7 @@
|
|
|
45870
46074
|
{
|
|
45871
46075
|
"id": "openwop.it.spec-corpus-validity.every-fixture-json-file-is-referenced-by-fixtures-md",
|
|
45872
46076
|
"file": "spec-corpus-validity.test.ts",
|
|
45873
|
-
"line":
|
|
46077
|
+
"line": 1495,
|
|
45874
46078
|
"title": "every fixture JSON file is referenced by fixtures.md",
|
|
45875
46079
|
"explicitId": "openwop.it.spec-corpus-validity.every-fixture-json-file-is-referenced-by-fixtures-md",
|
|
45876
46080
|
"citations": [
|
|
@@ -45884,7 +46088,7 @@
|
|
|
45884
46088
|
{
|
|
45885
46089
|
"id": "openwop.it.spec-corpus-validity.a-sample-bundle-validates-against-conformance-certification-bundle-schema-json",
|
|
45886
46090
|
"file": "spec-corpus-validity.test.ts",
|
|
45887
|
-
"line":
|
|
46091
|
+
"line": 1548,
|
|
45888
46092
|
"title": "a sample bundle validates against conformance-certification-bundle.schema.json",
|
|
45889
46093
|
"explicitId": "openwop.it.spec-corpus-validity.a-sample-bundle-validates-against-conformance-certification-bundle-schema-json",
|
|
45890
46094
|
"citations": [
|
|
@@ -45898,7 +46102,7 @@
|
|
|
45898
46102
|
{
|
|
45899
46103
|
"id": "openwop.it.spec-corpus-validity.verifybundle-accepts-a-claim-that-is-discovery-derivable-and-floor-proven-b",
|
|
45900
46104
|
"file": "spec-corpus-validity.test.ts",
|
|
45901
|
-
"line":
|
|
46105
|
+
"line": 1554,
|
|
45902
46106
|
"title": "verifyBundle ACCEPTS a claim that is discovery-derivable AND floor-proven (§B)",
|
|
45903
46107
|
"explicitId": "openwop.it.spec-corpus-validity.verifybundle-accepts-a-claim-that-is-discovery-derivable-and-floor-proven-b",
|
|
45904
46108
|
"citations": [
|
|
@@ -45911,7 +46115,7 @@
|
|
|
45911
46115
|
{
|
|
45912
46116
|
"id": "openwop.it.spec-corpus-validity.verifybundle-rejects-a-profile-its-discovery-document-does-not-derive-b-1",
|
|
45913
46117
|
"file": "spec-corpus-validity.test.ts",
|
|
45914
|
-
"line":
|
|
46118
|
+
"line": 1561,
|
|
45915
46119
|
"title": "verifyBundle REJECTS a profile its discovery document does not derive (§B(1))",
|
|
45916
46120
|
"explicitId": "openwop.it.spec-corpus-validity.verifybundle-rejects-a-profile-its-discovery-document-does-not-derive-b-1",
|
|
45917
46121
|
"citations": [
|
|
@@ -45924,7 +46128,7 @@
|
|
|
45924
46128
|
{
|
|
45925
46129
|
"id": "openwop.it.spec-corpus-validity.verifybundle-rejects-a-bundle-missing-a-floor-scenario-b-2",
|
|
45926
46130
|
"file": "spec-corpus-validity.test.ts",
|
|
45927
|
-
"line":
|
|
46131
|
+
"line": 1571,
|
|
45928
46132
|
"title": "verifyBundle REJECTS a bundle missing a floor scenario (§B(2))",
|
|
45929
46133
|
"explicitId": "openwop.it.spec-corpus-validity.verifybundle-rejects-a-bundle-missing-a-floor-scenario-b-2",
|
|
45930
46134
|
"citations": [
|
|
@@ -45937,7 +46141,7 @@
|
|
|
45937
46141
|
{
|
|
45938
46142
|
"id": "openwop.it.spec-corpus-validity.the-committed-bundle-file-exists-generated-by-certify",
|
|
45939
46143
|
"file": "spec-corpus-validity.test.ts",
|
|
45940
|
-
"line":
|
|
46144
|
+
"line": 1608,
|
|
45941
46145
|
"title": "the committed bundle file exists (generated by --certify)",
|
|
45942
46146
|
"explicitId": "openwop.it.spec-corpus-validity.the-committed-bundle-file-exists-generated-by-certify",
|
|
45943
46147
|
"citations": [
|
|
@@ -45951,7 +46155,7 @@
|
|
|
45951
46155
|
{
|
|
45952
46156
|
"id": "openwop.it.spec-corpus-validity.the-committed-reference-bundle-validates-against-the-bundle-schema-a",
|
|
45953
46157
|
"file": "spec-corpus-validity.test.ts",
|
|
45954
|
-
"line":
|
|
46158
|
+
"line": 1612,
|
|
45955
46159
|
"title": "the committed reference bundle validates against the bundle schema (§A)",
|
|
45956
46160
|
"explicitId": "openwop.it.spec-corpus-validity.the-committed-reference-bundle-validates-against-the-bundle-schema-a",
|
|
45957
46161
|
"citations": [
|
|
@@ -45965,7 +46169,7 @@
|
|
|
45965
46169
|
{
|
|
45966
46170
|
"id": "openwop.it.spec-corpus-validity.verifybundle-rejects-the-committed-reference-bundle-it-is-invalidated-rfc-0148-d",
|
|
45967
46171
|
"file": "spec-corpus-validity.test.ts",
|
|
45968
|
-
"line":
|
|
46172
|
+
"line": 1619,
|
|
45969
46173
|
"title": "verifyBundle REJECTS the committed reference bundle — it is `invalidated` (RFC 0148 §D)",
|
|
45970
46174
|
"explicitId": "openwop.it.spec-corpus-validity.verifybundle-rejects-the-committed-reference-bundle-it-is-invalidated-rfc-0148-d",
|
|
45971
46175
|
"citations": [
|
|
@@ -45986,7 +46190,7 @@
|
|
|
45986
46190
|
{
|
|
45987
46191
|
"id": "openwop.it.spec-corpus-validity.discovery-sha256-is-the-canonical-json-sha-256-of-the-captured-discovery-documen",
|
|
45988
46192
|
"file": "spec-corpus-validity.test.ts",
|
|
45989
|
-
"line":
|
|
46193
|
+
"line": 1645,
|
|
45990
46194
|
"title": "discovery.sha256 is the canonical-JSON SHA-256 of the captured discovery.document",
|
|
45991
46195
|
"explicitId": "openwop.it.spec-corpus-validity.discovery-sha256-is-the-canonical-json-sha-256-of-the-captured-discovery-documen",
|
|
45992
46196
|
"citations": [
|
|
@@ -45999,7 +46203,7 @@
|
|
|
45999
46203
|
{
|
|
46000
46204
|
"id": "openwop.it.spec-corpus-validity.the-requestbody-closes-at-the-composition-unevaluatedproperties-not-inside-a-bra",
|
|
46001
46205
|
"file": "spec-corpus-validity.test.ts",
|
|
46002
|
-
"line":
|
|
46206
|
+
"line": 1706,
|
|
46003
46207
|
"title": "the requestBody closes at the composition (unevaluatedProperties), not inside a branch",
|
|
46004
46208
|
"explicitId": "openwop.it.spec-corpus-validity.the-requestbody-closes-at-the-composition-unevaluatedproperties-not-inside-a-bra",
|
|
46005
46209
|
"citations": [
|
|
@@ -46012,7 +46216,7 @@
|
|
|
46012
46216
|
{
|
|
46013
46217
|
"id": "openwop.it.spec-corpus-validity.canonical-createrun-bodies-pass-the-composed-schema-an-undeclared-property-fails",
|
|
46014
46218
|
"file": "spec-corpus-validity.test.ts",
|
|
46015
|
-
"line":
|
|
46219
|
+
"line": 1721,
|
|
46016
46220
|
"title": "canonical createRun bodies PASS the composed schema; an undeclared property FAILS",
|
|
46017
46221
|
"explicitId": "openwop.it.spec-corpus-validity.canonical-createrun-bodies-pass-the-composed-schema-an-undeclared-property-fails",
|
|
46018
46222
|
"citations": [
|
package/scenario-majors.json
CHANGED
|
@@ -1,9 +1,9 @@
|
|
|
1
1
|
{
|
|
2
2
|
"$comment": "GENERATED by conformance/scripts/generate-scenario-majors.mjs (RFC 0168 §D.3). Do not edit; add a file to BOTH_MAJORS in the generator to target both majors.",
|
|
3
3
|
"counts": {
|
|
4
|
-
"files":
|
|
4
|
+
"files": 658,
|
|
5
5
|
"v1": 455,
|
|
6
|
-
"v2":
|
|
6
|
+
"v2": 218
|
|
7
7
|
},
|
|
8
8
|
"majors": {
|
|
9
9
|
"a2a-1-0-agent-card.test.ts": [
|
|
@@ -1479,6 +1479,9 @@
|
|
|
1479
1479
|
"v2-eval-mode-unadvertised-refused.test.ts": [
|
|
1480
1480
|
2
|
|
1481
1481
|
],
|
|
1482
|
+
"v2-eval-trajectory-trials.test.ts": [
|
|
1483
|
+
2
|
|
1484
|
+
],
|
|
1482
1485
|
"v2-event-type-closed.test.ts": [
|
|
1483
1486
|
2
|
|
1484
1487
|
],
|
|
@@ -1,17 +1,17 @@
|
|
|
1
1
|
{
|
|
2
2
|
"_comment": "Provenance of @openwop/spec-artifacts (RFC 0168 §D.2). files: SHA-256 per file; the conformance suite compares the installed peer against dist/spec-artifacts.lock.json at start.",
|
|
3
3
|
"package": "@openwop/spec-artifacts",
|
|
4
|
-
"version": "2.46.
|
|
5
|
-
"corpusTag": "v2.46.
|
|
4
|
+
"version": "2.46.8",
|
|
5
|
+
"corpusTag": "v2.46.8",
|
|
6
6
|
"files": {
|
|
7
7
|
"api/.redocly.lint-ignore.yaml": "bf5a8350b88a72fa43f59605ed8d903ed24b6cfccda5e45509c9f6ed9ee4e712",
|
|
8
8
|
"api/asyncapi.yaml": "d5ecb9ee6114582be3b1f662c84bfac9ae96dae7bacb853e461168f70a8e1c7d",
|
|
9
9
|
"api/grpc/openwop.proto": "c3e72bb17cba514ee98feb6434e6c9b6ea6795bfd086489ec69fd882dd1ad977",
|
|
10
10
|
"api/openapi.yaml": "ac6de5303872664b78ff419c035915593e01599e02835e777a0123de1baeb398",
|
|
11
11
|
"api/redocly.yaml": "b0604c89b2ca6d5076ec25725c539dad44a741a811fe524439ee6daef8baa09f",
|
|
12
|
-
"api/seams-v2.yaml": "
|
|
13
|
-
"api/v2/asyncapi.yaml": "
|
|
14
|
-
"api/v2/openapi.yaml": "
|
|
12
|
+
"api/seams-v2.yaml": "f9a0c7da940a9f31a689bea929c33b4e70b0293f955e2a91329ec46d86eced3f",
|
|
13
|
+
"api/v2/asyncapi.yaml": "77259d3d85bbc4cd83daa54382c7cfa08a84fb253cb0b1f7b8005a9a38d94ff7",
|
|
14
|
+
"api/v2/openapi.yaml": "139ef732f96270dc64e2365a42cdaa23f3177a80db63c9f16ee36f16935446f7",
|
|
15
15
|
"api/v2/redocly.yaml": "1e66b60e6118ad11a823bb620678be464d99dfe50a40e3e6f93ec9429b88b34c",
|
|
16
16
|
"schemas/README.md": "276fc1d51eb08e14e9127b9fd27761d7046ee33c12000f3a64a801322db8bf58",
|
|
17
17
|
"schemas/a2a-task-state.schema.json": "75d5049dea8bd873ff0e7546f1c60c8d36c219bec7084264360be54a8be30ae1",
|
|
@@ -103,7 +103,7 @@
|
|
|
103
103
|
"schemas/v2/a2ui-surface-delta-frame.schema.json": "6889c5da3fe7e76cb614038c0eea6774776fa640448558b258eb87fb50cb9b64",
|
|
104
104
|
"schemas/v2/agent-deployment-transition.schema.json": "93a334ff042d51378c89fdd7134664271bf9592419bb5e3e00821ed06bc1904e",
|
|
105
105
|
"schemas/v2/agent-deployment.schema.json": "d59b43fb62b522005ee22bc3bc53775a6777493e5e42d71812abc347625fa7fe",
|
|
106
|
-
"schemas/v2/agent-eval-suite.schema.json": "
|
|
106
|
+
"schemas/v2/agent-eval-suite.schema.json": "e6925711c478f35c03dcc7d1c8b7c8ec0814d468ad1ed2beb3e54405d8eb0752",
|
|
107
107
|
"schemas/v2/agent-inventory-response.schema.json": "5f74c3da946dfc3114624567a989717748081ab947b4d2af3f49034d67f4306b",
|
|
108
108
|
"schemas/v2/agent-manifest.schema.json": "004ff150e955deebb9e64273de5093f5144b9b3895b09953e65aa74b61140778",
|
|
109
109
|
"schemas/v2/agent-org-chart.schema.json": "113b079e1dce95908467cbef7f83e076fdb82aab5b0678fc1a43e32bfc9cbadf",
|
|
@@ -117,7 +117,7 @@
|
|
|
117
117
|
"schemas/v2/artifact.schema.json": "85b9dc284d39b99d2a66fa8cbf47f2dd3d8526d3bd6cc411ad315b372de38975",
|
|
118
118
|
"schemas/v2/audit-verify-result.schema.json": "14af8e9283510f0a40e48a2059c929ee44e0fc9fa3cc66a95bfbe90b17c48297",
|
|
119
119
|
"schemas/v2/budget-policy.schema.json": "1de68095db0beb5c7a4be629de26e79f62ebbe748a88d46f36e768edfd1f0d68",
|
|
120
|
-
"schemas/v2/capabilities.schema.json": "
|
|
120
|
+
"schemas/v2/capabilities.schema.json": "a717d34d98201cefe1769421c468d22e124d1a46881f60683cb6e103843dbc9a",
|
|
121
121
|
"schemas/v2/certification-bundle.schema.json": "5cfa7fb5247160333e33a58b60d42bcd4e5269d8391d6a112d301e14828892ed",
|
|
122
122
|
"schemas/v2/channel-presence-payload.schema.json": "fc03df0c20cc12a25f7ee6a47503a4c5931d79fe3d5ff24815e8fd7c1bcb9a87",
|
|
123
123
|
"schemas/v2/channel-written-payload.schema.json": "ccecff3c71a3275ad8db035ac0e04db25e6f8d23cf091ddbcd5a60d1be1cbb6b",
|
|
@@ -145,7 +145,7 @@
|
|
|
145
145
|
"schemas/v2/envelopes/schema.response.schema.json": "d049a081267c06c28879c331b147f3ed821b14ccfd93005c67aff64db0a8c68e",
|
|
146
146
|
"schemas/v2/envelopes/ui.a2ui-surface.schema.json": "e92a2548ba65454c9e0a34f72ea6768d18f59e61fa5da7668d0b2d5baddaddc8",
|
|
147
147
|
"schemas/v2/error-envelope.schema.json": "8ddb1d80330dfef17572a74dfe3a53e1a06411e4b0af6a6f1dd6e7e7461da987",
|
|
148
|
-
"schemas/v2/eval-summary.schema.json": "
|
|
148
|
+
"schemas/v2/eval-summary.schema.json": "fc8ea719a8241eacd12e90d36934369386673bd50edebe6814782a19605a7776",
|
|
149
149
|
"schemas/v2/export-bundle.schema.json": "bd28905a7729437ab7f2ad8bb33e13a371b2bf5605a7eb2962a0d246de312d69",
|
|
150
150
|
"schemas/v2/form-content-pack-manifest.schema.json": "a1942a124e250a6e9fbdb6b811c5a125e78fbcbcaa46dfc71d0636f24710a339",
|
|
151
151
|
"schemas/v2/frontend-plugin-manifest.schema.json": "b279da288d542906a72b8cb4e872e001de632eaff539e0259b9cce287f82bf8f",
|
|
@@ -174,7 +174,7 @@
|
|
|
174
174
|
"schemas/v2/residency.schema.json": "3fd23c9732beb140504e81560fc426eb6764d547e56da5fb92c5a5c7bf04db3a",
|
|
175
175
|
"schemas/v2/run-ancestry-response.schema.json": "334c17f2062dea62726ca1d07b8be3f169cdc422af843c1def5fb317039814c9",
|
|
176
176
|
"schemas/v2/run-diff-response.schema.json": "8bdb2045c274580038bd74781f7d062f5049839797c164a89de4ed89edc53a74",
|
|
177
|
-
"schemas/v2/run-event-payloads.schema.json": "
|
|
177
|
+
"schemas/v2/run-event-payloads.schema.json": "24992db063ccab827710d462e834cc6299bf6f7aa651b118e30ef33506cc7aae",
|
|
178
178
|
"schemas/v2/run-event.schema.json": "2f0d7416bd376c56affe97b6b2b49981532e8e9ff45c0a162cf806c78b3e7fb7",
|
|
179
179
|
"schemas/v2/run-list-response.schema.json": "c2dbc34768dcf64528914a213aa3cb55952e8e3e90a64b04a9423b2a19749d38",
|
|
180
180
|
"schemas/v2/run-options.schema.json": "f0e9f494d80086c2ed2cf9fe87df54e5b4e66601699c4a1089f4edbc7ba58867",
|
|
@@ -208,14 +208,14 @@
|
|
|
208
208
|
"schemas/workspace-file.schema.json": "464de85c2a068243084ee9c1d969bc7cd5d8f7948574e58450d6493c38a0e1e4",
|
|
209
209
|
"spec/v1/alias-detectors.json": "22444c22bb88c568339ef512553f9fc38146e22b566d11ab8608f655d688d19c",
|
|
210
210
|
"spec/v1/capability-declaration-classes.json": "e7729aed5c4b4e1dd02abab0530f14cc95f5d4070fe51fb139e7f5cccefa00c6",
|
|
211
|
-
"spec/v1/core-standard-manifest.json": "
|
|
211
|
+
"spec/v1/core-standard-manifest.json": "031419b7f2fa27bb1d550d5f8caf92cea889de73998aa723859c8a3e29b4458e",
|
|
212
212
|
"spec/v1/deprecations.json": "e723bc11d7272c71789ad1303bb7f21809a8a024abf57594f9d5c35dc199ece9",
|
|
213
213
|
"spec/v1/deprecations.schema.json": "3e393c405d2a41b467d8c5e3c468549078df1ce6a6d2588fc488097b95d9b55b",
|
|
214
214
|
"spec/v1/end-of-support.json": "35f0bf3b70fe78b16e2a2fd81a153fc27e703f6c16376c6fe7cdf1f4f2c4e6d4",
|
|
215
215
|
"spec/v1/event-codemap.json": "3da60d884157793a360da532a9fcbbfb5285636db325a74cec94b34622186d97",
|
|
216
216
|
"spec/v1/event-codemap.schema.json": "d05933b2e88103aff51a2f774df97b9bda065e0fc88dbd9b114cc47a32189174",
|
|
217
217
|
"spec/v1/extensions.json": "79a60754aa16cbdbdb604f8e5c00038af535a1690a4d07bd5ff7c38f0256a7bc",
|
|
218
|
-
"spec/v1/gaps.json": "
|
|
218
|
+
"spec/v1/gaps.json": "a3ab3af1f48fe9f36283d296b06970a4dd759d4e3beb731828831f09e8e8f53b",
|
|
219
219
|
"spec/v1/gaps.schema.json": "8fd83259f556553c9df0f53e7a82ca8c2a4771d471197f69b4e2ae0ceeacfd66",
|
|
220
220
|
"spec/v1/migrations.json": "4c50760be70cb644d02427bcaf5749606700edf4513f423903cf3b1d12f5c300",
|
|
221
221
|
"spec/v1/migrations.schema.json": "886779aa6c22e646db097f5df210adb018a4dd14a7b815465a18c8a7056c8f72",
|
|
@@ -281,7 +281,7 @@
|
|
|
281
281
|
"spec/v2/ext/sandbox-runtime-notes/README.md": "0d1290fb1e20b2e35c0b15051541ab6546e4e2a6f693b4f912cb3f7d6a65e92c",
|
|
282
282
|
"spec/v2/ext/webResearch/README.md": "b675e6f6646128d781b661f754c2393eed86e5935d16c3a22df582a5ce025b9b",
|
|
283
283
|
"spec/v2/facets/a2a.schema.json": "b68bf5e29e455e46c2ad7cfcccf5963730ec2310ff9db81884550d8df30fd6ef",
|
|
284
|
-
"spec/v2/facets/agents.schema.json": "
|
|
284
|
+
"spec/v2/facets/agents.schema.json": "62a979d23219ca684bc16f91f81a4c92c2cb56e0f084d2e4f694c03e0c7125df",
|
|
285
285
|
"spec/v2/facets/aiProviders.schema.json": "4eb911c2403b8f618325194855a1326680fbda2549dfbfe86a70dd2743f8fb12",
|
|
286
286
|
"spec/v2/facets/auditLogIntegrity.schema.json": "9a7f81320c8f940c6f4129bc7dd895a4063231c5458a717a08c2cbf9bb886c46",
|
|
287
287
|
"spec/v2/facets/auth.schema.json": "7d98bc81a0f7d307460d039eebfebd21388091bfe1d538762583940f94c0bd2a",
|
|
@@ -313,9 +313,9 @@
|
|
|
313
313
|
"spec/v2/path-manifest.json": "7b5679a4dad98c80d855361d88a98c8a4e045af15e310862a05b285b815dc9fc",
|
|
314
314
|
"spec/v2/peer-dependency-aliases.json": "d10299280abee08258502925bc327293ee413e0108cd6e6ec75ff6110653308d",
|
|
315
315
|
"spec/v2/profiles.json": "b382b261c7844798575f7c1b37c934f0da19846016a2337d883d4f5ef6e05479",
|
|
316
|
-
"spec/v2/release.json": "
|
|
316
|
+
"spec/v2/release.json": "c291a28051bf090d15ad928487c427566b37bcded475b7475312200d91af022d",
|
|
317
317
|
"spec/v2/retention-floors.json": "eaf3722d95c79947af1d4269ef85117e126518c588cfcf1a2b21b97269f51624",
|
|
318
|
-
"spec/v2/surface-baseline.json": "
|
|
318
|
+
"spec/v2/surface-baseline.json": "15f53de22504577387afe746758f4bf5c6e76f1d6190cc1e5c9dd18ebd77e0b9"
|
|
319
319
|
},
|
|
320
|
-
"corpusCommit": "
|
|
320
|
+
"corpusCommit": "2793cd29bd41ca40727d919971b3ebc8b5e61dcf"
|
|
321
321
|
}
|